/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.calm.foundation.rcp.ui.internal;

import org.osgi.framework.BundleContext;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;

import com.ibm.team.jface.JazzResources;

import com.ibm.team.foundation.common.util.FoundationLog;

/**
 * The activator class controls the plug-in life cycle
 */
public class CALMFoundationRCPUIPlugin extends AbstractUIPlugin {

	public static final String PLUGIN_ID = "com.ibm.team.calm.foundation.rcp.ui"; //$NON-NLS-1$

	private static CALMFoundationRCPUIPlugin fgInstance;
	
	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		fgInstance = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		fgInstance = null;
		super.stop(context);
	}

	public static CALMFoundationRCPUIPlugin getDefault() {
		return fgInstance;
	}

	/**
	 * Log status messages using <code>FoundationLog</code>
	 * 
	 * @see FoundationLog
	 */
	public void log(IStatus status) {
		FoundationLog.log(status);
	}
	
	/**
	 * Get an ImageDescriptor for the given relative path. The ImageDescriptor is registered with ImageUtils so that we
	 * can get a local URL for it.
	 * 
	 * @param pathRelativeToPlugin
	 *            the relative path of the image file, relative to the root of the plug-in; the path must be legal
	 * @return an image descriptor, or <code>null</code> if no image could be found
	 */
	public static ImageDescriptor getImageDescriptor(String pathRelativeToPlugin) {
		ImageDescriptor id= imageDescriptorFromPlugin(PLUGIN_ID, pathRelativeToPlugin);
		JazzResources.registerPath(id, PLUGIN_ID, pathRelativeToPlugin);
		return id;
	}
}
