/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.calm.foundation.rcp.ui.internal.linking;

import com.ibm.team.calm.foundation.common.linking.OSLCResourceDescription.PickerType;
import com.ibm.team.calm.foundation.rcp.ui.linking.IItemPickerDialog;
import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.repository.common.transport.TeamServiceRegistryException;

public class ItemPickerDialogDescription {

	private ItemPickerDialogDescriptionElement fDescriptionElement;
	
	public ItemPickerDialogDescription(ItemPickerDialogDescriptionElement descElement) {
		fDescriptionElement= descElement;
	}
	
	public PickerType getPickerType() {
		return fDescriptionElement.getPickerType();
	}
	
	public IItemPickerDialog getPickerDialog() throws TeamRepositoryException{
		try {
			return fDescriptionElement.getPickerDialog();
		} catch (TeamServiceRegistryException e) {
			throw new TeamRepositoryException(e);
		}
	}
	
	public String getTitle() {
		if (getPickerType() == PickerType.CREATION) {
			return Messages.ItemPickerDialogDescription_CREATION_PICKER_TITLE;
		} else {
			return Messages.ItemPickerDialogDescription_SELECTION_PICKER_TITLE;
		}
	}

	public String getLabel() {
		if (getPickerType() == PickerType.CREATION) {
			return Messages.ItemPickerDialogDescription_CREATION_PICKER_LABEL;
		} else {
			return Messages.ItemPickerDialogDescription_SELECTION_PICKER_LABEL;
		}
	}
}
