/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.calm.foundation.rcp.ui.internal.linking;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.core.runtime.IConfigurationElement;

import com.ibm.team.repository.common.transport.AbstractElementDescriptor;
import com.ibm.team.repository.common.transport.TeamServiceRegistryException;

class ItemPickerDialogElement extends AbstractElementDescriptor {
		
		private String fResourceId;
		private List<ItemPickerDialogDescription> fItemPickerDescriptions;
						
		protected ItemPickerDialogElement(IConfigurationElement element) {
			super(element, ItemPickerDialogRegistry.ELEMENT_DIALOG);
		}

		protected void initialize() {
			super.initialize();
	        fResourceId= getAttribute(ItemPickerDialogRegistry.ATTR_RESOURCE_ID);
	    }
		
		@Override
		protected void checkElement() {
	        super.checkElement();
	        checkAttributeIsSet(fResourceId, ItemPickerDialogRegistry.ATTR_RESOURCE_ID);
	    }
		
		/* package */ void remove() throws TeamServiceRegistryException {
		}
		
		@Override
		protected void processChild(IConfigurationElement child) {
			String elementName= child.getName();
			if (elementName.equals(ItemPickerDialogRegistry.ELEMENT_DIALOG_DESCRIPTION)) {
				getDialogDescriptions().add(new ItemPickerDialogDescriptionElement(child).getDialogDescription());
			} else {
				super.processChild(child);
			}
		}
		
		public String getResourceId() {
			return fResourceId;
		}
		
		public List<ItemPickerDialogDescription> getDialogDescriptions() {
			if(fItemPickerDescriptions == null) {
				fItemPickerDescriptions= new ArrayList<ItemPickerDialogDescription>();
			}
			return fItemPickerDescriptions;
		}
	}