/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.calm.foundation.rcp.ui.internal.linking;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.team.calm.foundation.rcp.ui.internal.linking.messages"; //$NON-NLS-1$
	
	public static String ServiceProviderSelectionDialog_DIALOG_TITLE;
	public static String ServiceProviderSelectionDialog_DIALOG_TITLE_ACTION;
	public static String ServiceProviderSelectionDialog_DIALOG_TITLE_MESSAGE;
	public static String ServiceProviderSelectionDialog_ERROR_ACCESSING_SERVICE_DOCUMENT;
	public static String ServiceProviderSelectionDialog_ERROR_SERVICE_PROVIDER_PERMISSION_DENIED;
	public static String CALMResourcePickerDialog_ERROR_TITLE;
	public static String ServiceProviderSelectionDialog_INFO_UNSUPPORTED_ARTIFIACT;
	public static String ServiceProviderSelectionDialog_LABEL_CREATION_BUTTON;
	public static String ServiceProviderSelectionDialog_LABEL_SELECTION_BUTTON;
	public static String ServiceProviderSelectionDialog_LABEL_SERVICE_PROVIDER;
	public static String ServiceProviderSelectionDialog_LABEL_LINK_ACTION;
	public static String ServiceProviderSelectionDialog_TASK_FIND_REPOSITORY_CONNECTION;
	public static String ServiceProviderSelectionDialog_TASK_RETRIEVE_REMOTE_DIALOG_INFO;
	public static String ServiceProviderSelectionDialog_WARNING_SERVICE_PROVIDER_ACCESS_DENIED;
	public static String ServiceProviderSelectionDialog_WARNING_SERVICE_PROVIDER_CONNECTION_TIMEOUT;
	public static String CALMResourcePickerDialog_ERROR_RETRIEVE_LOCAL_DIALOG;
	
	public static String ItemPickerDialogDescription_CREATION_PICKER_TITLE;
	public static String ItemPickerDialogDescription_CREATION_PICKER_LABEL;
	public static String ItemPickerDialogDescription_SELECTION_PICKER_TITLE;
	public static String ItemPickerDialogDescription_SELECTION_PICKER_LABEL;

	public static String ItemPickerDialogDescriptionElement_FailedToCreateServiceInstance;
	public static String ItemPickerDialogDescriptionElement_ServiceImplementedDoesNotImplementIService;
	public static String OSLCPickerDialog_PROGRESS_TASK;
	public static String OSLCPickerDialog_ERROR_DIALOG_RESULT;
	public static String OSLCPickerDialog_ERROR_INVALID_URL;
	public static String OSLCPickerDialog_ERROR_CANNOT_CREATE_REFERENCE_FROM_JSON;
	
	public static String CALMBackLinkProblemDialog_BUTTON_SAVE;
	public static String CALMBackLinkProblemDialog_DIALOG_DESCRIPTION;
	public static String CALMBackLinkProblemDialog_RETRY_LABEL;
	public static String CALMBackLinkProblemDialog_REVERT_LABEL;
	public static String CALMBackLinkProblemDialog_SKIP_BACK_LINKS_INFO;
	public static String CALMBackLinkProblemDialog_SKIP_BACK_LINKS_LABEL;
	
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private static final ResourceBundle RESOURCE_BUNDLE= ResourceBundle.getBundle(BUNDLE_NAME);



	
	private Messages() {
	}
	
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
