/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2013, 2016. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.calm.foundation.rcp.ui.linking;

import org.eclipse.jface.operation.IRunnableContext;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;

import com.ibm.team.process.common.IProjectAreaHandle;
import com.ibm.team.repository.common.TeamRepositoryException;

/**
 * Base class for dialogs contributed to the <code>com.ibm.team.calm.foundation.rcp.ui.itemPickerDialogs</code> extension point.
 */
public abstract class AbstractItemPickerDialog implements IItemPickerDialog {

	private String fCalmItemType;

	@Override
	public final int open(final IProjectAreaHandle project, IWorkbenchWindow window) throws TeamRepositoryException {
		return open(window.getShell(), project, window);
	}

	public abstract int open(Shell shell, final IProjectAreaHandle project, final IRunnableContext runnableContext) throws TeamRepositoryException;

	public final void setCalmItemType(String calmItemType) {
		fCalmItemType= calmItemType;
	}

	public final String getCalmItemType() {
		return fCalmItemType;
	}
}
